<?php
require('fpdf/fpdf.php');
define('FPDF_FONTPATH', 'fpdf/font/'); 
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais

//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$sessao = new sessao();
$controle=$sessao->getVar('controle');//esta variavel que que controlara se vai ser laudo basico,singenta,rondonopolis etc
$controle1=$sessao->getVar('controle1');
$tipoDoc=$sessao->getVar('controle3');
$cliente=$sessao->getVar('cliente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$idDoc=$sessao->getVar('transfere');

//echo("amostralong= $amostraLong  controle= $controle<br>");

//AQUI DEFINE AS COLUNAS
//como funcionam estas colunas?
//a grade tetezazolio esta na classe calculo e tem 36 colunas fixas
//eu digo para o computador quais as colunas da grade  tetrazolio que eu quero no formato
//SE O CLIENTE QUISER ALGUMA COLUNA A MAIS EU VENHO AQUI E ACRESCENTO SO NO MODELO
$LI=10;//LI=LARGURA IGUAL  ONDE NAO FOR LI EU VOU LA E ESCRE O NUMERO
$cota2=30;
$cota8=200;

 


$limite=sizeof($vetorIndice);
$objetocalculo = new calculos(); //calcula todos valores finais
$vetorCabecalho=$objetocalculo->dadoslaboratorio();

$pdf=new FPDF('L','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
	
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $cota1=3;
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $pdf->AddPage();//adicionando a primera pafina 
			 $pdf->setFont("Arial","",7);
			 $vetorNormas=$objetocalculo->capturaNormas("Informe","Conceito",$idLabo);
			 $posicaoNorma=250;
			 $pdf->Rect($posicaoNorma,5,40,15);
			 $pdf->setXY($posicaoNorma,5);  $pdf->Cell(40,4,utf8_decode("Formulario:".$vetorNormas[1]),0,0);
			 $pdf->setXY($posicaoNorma,9);  $pdf->Cell(40,4,utf8_decode("Emissão:".$vetorNormas[2]),0,0);
			 $pdf->setXY($posicaoNorma,13);  $pdf->Cell(40,4,utf8_decode("Formulario:".$vetorNormas[3]),0,0);
			 
             $pdf->SetFont('Times','',8);
			 $pdf->SetFillColor(252, 240, 198);
			 $pdf-> Rect($margemEsquerda,1,$margemDireita-10,32,'DF');
			 //$pdf->SetFillColor(0, 0, 255);
             //$pdf->Rect(55, 192, 100, 20, 'D');
             //$pdf->Cell(0,0,'My text,',0,0,'C');
			$vetorDadosDocumento=$objetocalculo->dados_gerais_documento($idDoc);
			 $posicaoCab1=70;
			 $pdf->setXY($posicaoCab1,$cota1);
			 $pdf->Cell(30,5,utf8_decode('REQUERENTE:'),0,0,'L');//lab nome
			 $pdf->Cell(140,5,utf8_decode($vetorDadosDocumento[0]) ,0,0,'L');
			 $pdf->setXY($posicaoCab1+150,$cota1+5);
			 $pdf->Cell(30,5,utf8_decode('SAFRA:'),0,0,'R');//lab nome
			 
			 $pdf->Cell(40,5,$vetorDadosDocumento[9],1,1,'L');//lab nome
			 

			 $pdf->SetFillColor(255, 255, 255);

			 
			 






	         $pdf->SetFont('Times','B',11);
			 $vetorLaboratorio=$objetocalculo->dadoslaboratorio();
			 $posicaoCab1=60;
			 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
			 $pdf->Image($caminhoFinal,11,3,24,12,'JPG');
	         $pdf->SetFont('Times','B',9);
			 $cota1+=10;
			 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell(60,5,utf8_decode('IDENTIFICAÇÃO DA AMOSTRA '),0,1,'L');//lab nome
			 $pdf->setXY($posicaoCab1+35,$cota1+2);
			 $pdf->Cell(80,8,utf8_decode('TESTE DE TETRAZÓLIO'),1,0,'C',1);//l
			 $pdf->setXY($margemEsquerda,$cota1+5);
			 $pdf->Cell(15,5,utf8_decode('Cultura:'),0,0,'L');
			 $nomeComum=$vetorDadosDocumento[2];
			 $tama=strlen($nomeComum)*3;
		     $especiex=$nomeComum;
		     $pdf->Cell($tama,5,utf8_decode($nomeComum ),0,0,'L');
		     $pdf->SetFont('Times','I',8);
		     $nomeCientifico=$vetorDadosDocumento[13];
		     $pdf->Cell(70,5,'('.$nomeCientifico.')' ,0,1,'L');
		     $pdf->SetFont('Times','',8);
			 
			 //ATIBUI AS LARGURAS DAS COLUNAS FINAIS
			 $vetorLargura[1]=20;//amostra
			 $vetorLargura[2]=15;//cat
			 $vetorLargura[3]=15;//lote
			 $vetorLargura[4]=10;//peneira
			 $vetorLargura[5]=25;//cultivar
			 $vetorLargura[6]=13;//1 a 8 mecanico
			 $vetorLargura[7]=13;
			 $vetorLargura[8]=13;
			 $vetorLargura[9]=13;
			 $vetorLargura[10]=14;
			 $vetorLargura[11]=14;//6a8 percevejo
			 $vetorLargura[12]=15;//vigor
			 $vetorLargura[13]=15;//viab
			 $vetorLargura[14]=15;//germ
			 $vetorLargura[15]=15;//ger areia
			 $vetorLargura[16]=15;//pms
			 $vetorLargura[17]=20;//acelerado
	

             //aqui imprime a primeira linha de titulos 
			 $pdf->setXY($margemEsquerda,$cota1+10);
			 $pdf->SetFont('Arial','',8);
			 $pdf->Cell($vetorLargura[1],5,'AMOS-',0,0,'C');
			 $pdf->Cell($vetorLargura[2],5,'CATE-',0,0,'C');
			 $pdf->Cell($vetorLargura[3],5,'LOTE',0,0,'C');
			 $pdf->Cell($vetorLargura[4],5,'PE-',0,0,'C');
			 $pdf->Cell($vetorLargura[5],5,'CULTIVAR',0,0,'C');
			 $pdf->Cell($vetorLargura[6]+$vetorLargura[7],5,'DANO MECANICO',1,0,'C');
			 $pdf->Cell($vetorLargura[8]+$vetorLargura[9],5,'DANO UMIDADE',1,0,'C');
			 $pdf->Cell($vetorLargura[10]+$vetorLargura[11],5,'DANO PERCEVEJO',1,0,'C');
			 $pdf->Cell($vetorLargura[12],5,'Vigor',0,0,'C');
			 $pdf->Cell($vetorLargura[13],5,'Viab.',0,0,'C');
			 $pdf->Cell($vetorLargura[14],5,'Germi-',0,0,'C');
			 $pdf->Cell($vetorLargura[15],5,'Germ.',0,0,'C');
			 $pdf->Cell($vetorLargura[16],5,'PMS',0,0,'C');
			 $pdf->Cell($vetorLargura[17],5,'Env.',0,0,'C');
			 $pdf->Line($margemEsquerda,$cota1+10,$margemDireita,$cota1+10);//linha horizontal

//AQUI VAI O SUB TITULO 
$cota1=28;//COTA QUE POSICIONA O INICIO DO CORPO
//RISCO EMBAIXO Dos titulos de tetrazolio
//calcula o comeco
$somaLargTetra=$vetorLargura[6]+$vetorLargura[7]+$vetorLargura[8]+$vetorLargura[9]+$vetorLargura[10]+$vetorLargura[11];
//$pdf->Line($margemEsquerda,$cota1,$comecoTetra+$somaLargTetra,$cota1);
$pdf->SetXY($margemEsquerda,$cota1);
$pdf->Cell($vetorLargura[1],5,'TRA',0,0,'C');
$pdf->Cell($vetorLargura[2],5,'GORIA',0,0,'C');
$pdf->Cell($vetorLargura[3],5,' ',0,0,'C');
$pdf->Cell($vetorLargura[4],5,'NEIRA',0,0,'C');
$pdf->Cell($vetorLargura[5],5,' ',0,0,'C');
$pdf->Cell($vetorLargura[6],5,'1 a 8',1,0,'C');
$pdf->Cell($vetorLargura[7],5,'6 a 8',1,0,'C');
$pdf->Cell($vetorLargura[8],5,'1 a 8',1,0,'C');
$pdf->Cell($vetorLargura[9],5,'6 a 8',1,0,'C');
$pdf->Cell($vetorLargura[10],5,'1 a 8',1,0,'C');
$pdf->Cell($vetorLargura[11],5,'6 a 8',1,0,'C');
$pdf->Cell($vetorLargura[12],5,' ',0,0,'C');
$pdf->Cell($vetorLargura[13],5,' ',0,0,'C');
$pdf->Cell($vetorLargura[14],5,utf8_decode('nação'),0,0,'C');
$pdf->Cell($vetorLargura[15],5,'Areia',0,0,'C');
$pdf->Cell($vetorLargura[16],5,' ',0,0,'C');
$pdf->Cell($vetorLargura[17],5,'Acelerado',0,0,'C');

			 //cabecalho
			//captura dados do documento , o numero a especie o remetente etc

			 //$pdf->Line($margemEsquerda,1,$margemDireita,1);//LINHA vertical  DO CABECALHO	
			// $pdf-> Rect($margemEsquerda,1,$margemDireita-10,27);
			//$PDF -> Ln(4);
			//$PDF -> Rect(3,10,5,5,'F');
			/////enxerto do boletim//////////////
		    #####################DADOS DO REQUERENTE##################################################
	 $cota2+=17;			
	 $larguraDaLinha=3.5;
	 $pdf->SetLineWidth($extraFino);
	 $pdf->setXY($margemEsquerda,$cota2);
     global $amostraLong;
     $amostraLong=$vetori[5];
	 $pdf->SetFont('Times','B',8);
	 
			

			$pesoPureza= $vetorDadosDocumento[15];
			$pesoDOSN= $vetorDadosDocumento[17];
	        $pesoNocivas= $vetorDadosDocumento[16];
			$pdf->setXY(110.8,$cota1);//era 113
			
			$objetocalculo=new calculos();
            //vai verificar se nenhuma analise foi feita para colocar peso=-O- 
			$binarioAnalises=$objetocalculo->binarioAnalises($idDoc);
  	
	
	
		
		
//VAI ACHAR AS ID DAS AMOSTRAS QUE VAO NO LAUDO

//captura o numero de registros e as id das amostras atraves da leitura da tabela documentosponte amarrada com a id do documento
//ENTRA DE QUAKQUER MANEIRA
//echo("3xxxxxxxxxxxxxxidDocumento= $idDoc<br>");

$genericaPonte=new tabelagenerica();
$genericaPonte->tabela="documentosponte";
$genericaPonte->campos_valores = array(
		"dpo_amostra_vinculada" => NULL,
	);
$genericaPonte->extras_select =" where  dpo_documento_autonumerador=".$idDoc." order by dpo_amostra_vinculada LIMIT 15";
//echo("eeeeexxxxxxxxxxxxxxxxxxxxxxxxxxeeeeeeerro $generica->extras_select <br>");
$genericaPonte->selecionaCampos($genericaPonte);
//echo("4xxxxxxxxxxxxxxidDocumento= $idDoc  contaAmostras =$contaAmostras $vetorDPO[1]<br>");
//vai pegar os dados da amopstra la na classe calculo pois ja tem a id da amostra
 //resultaso sao impressoas a partr da cota 3 car em cima da  linha divisoria muito grossa
 $alturaLinhaResultados=8;//define a largura das linhas de resultados
$contador=1;
$modalidadeArquivada=8;	
if($clienteReduzido=='TS L'):
   $pdf->SetFont('Arial','',10);
else:
   $pdf->SetFont('Arial','',6);
endif;   
$indiceVetorNomesContaminantes=0;//precisa ficar fora do while porque vai criar um vetor juntando os contaminantes
$cota1=28;//COTA QUE POSICIONA O INICIO DO CORPO

while ($resgenericaPonte = $genericaPonte->retornaDados()):
    $amostraLong=$resgenericaPonte->dpo_amostra_vinculada;
	$vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);
    $vetorAmostraBruto=$objetocalculo->capturaGeralAmostra($amostraLong);//captura TUDO 
	$contaminanteAcumulado="Amostra:" .$vetorAmostraBruto[1];
	$iniciando="SIM";	
    //aqui vai achar o teste de tetrazolio 
	//aqui acha a viabilidade. sE FOR SOJA OU FEIJAO ele pega de uma forma e se na ofr entao subentende que é forrageira
    $viabilidadeFinal='-N-';
	$vigorFinal='-N-';

//echo("especiex $especiex<br>");
	
	if(substr($especiex,0,4)=='SOJA' || substr($especiex,0,4)=='FEIJ'):
        //echo("chanan,dp a clase especiex $especiex<br>");
        $matrizResumo=$objetocalculo->calculaTetrazolioSojaABC($amostraLong);
	    //$matrizResumo=$objetocalculo->calculaTetrazolioSojaABC($amostraLong);
	    //ELE TRAZ NA VERDADE 4 LINHAS 0=CABECALHO  3=CONTEM O RESUMO dos resuultados
		$registrosRep1=$matrizResumo[1][19];
		$registrosRep2=$matrizResumo[2][19];
		//$vigorFinal=$matrizResumo[3][11];//nao deletar esta linha pois ajuda entender que pode pegar a viabilidae e o vigor desta forma
		$viabilidadeFinal=$matrizResumo[3][10];
	    $vigorFinal=$objetocalculo->captura_OD_Especifica($amostraLong,'TZO');
		$viabilidadeFinal='22';
		$vigorFinal='21';
		$viabilidadeFinal=$matrizResumo[3][10];
		$vigorFinal=$matrizResumo[3][11];
	else:
       //aqui trabalha se for forrageiras
	   $viabilidadeFinal=$objetocalculo->calculaTetrazolioForrageira($amostraLong,$modalidadeArquivada);//viabilidae forrageira
	   //$viabilidadeFinal='34';
	   //$vigorFinal='33';
	endif;//testa se é soja ou forrageira pois se for forrageira a viabilidade é tomada de forma diferente
	
	$cota1+=5;//incrementa linha para colocar na linha seguinte
	$pdf->setXY($margemEsquerda,$cota1);
	$pdf->Cell($vetorLargura[1],5,str_pad($vetorAmostraBruto[1], 5, "0", STR_PAD_LEFT).date("/y",strtotime($vetorAmostraBruto[36])) ,1,0,'C');//amostra
	//$textoReduzido=substr($vetorAmostraBruto[31],0,20);
	//$textoReduzido=substr($vetorAmostraBruto[2],0,10);
	//$pdf->Cell($vetorLargura[1],5,utf8_decode($textoReduzido),1,0,'C');
	//$textoReduzido=substr($vetorAmostraBruto[2],0,10);
	$pdf->Cell($vetorLargura[2],5,utf8_decode($vetorAmostraBruto[33]),1,0,'C');//categoia
	$pdf->Cell($vetorLargura[3],5,utf8_decode($vetorAmostraBruto[2]),1,0,'C');//lote
	$pdf->Cell($vetorLargura[4],5,utf8_decode($vetorAmostraBruto[35]),1,0,'C');//peneira
	$pdf->Cell($vetorLargura[5],5,utf8_decode($vetorAmostraBruto[31]),1,0,'C');//cultiva


//agora prepara o tetrazolio
    //aqui acha a viabilidade. sE FOR SOJA OU FEIJAO ele pega de uma forma e se na ofr entao subentende que é forrageira
	$i22=$viabilidadeFinal;if($i22=="")$i22='-N-';
	//vigor
	if($vigorFinal=="" || $vigorFinal=="-N-"):
	    $i23='-N-';
        $fezTetrazolio="nao";
	else:      
        $fezTetrazolio="sim";
    	$i23=$vigorFinal;
	endif;
	//aqui imprime 0 se existe o teste de vigor e se nao foi achado nada de p,m.u, ou d	
    //aqui atribui o valor trazido la do calculos, que pode ser uma valor numerico
    $i24=$matrizResumo[3][12];//duras
    $i25=$matrizResumo[3][3];//mecanico mortas
    $i26=$matrizResumo[3][6];//umidade mortas
    $i27=$matrizResumo[3][9];//percevejp mortas

    $i25v=$matrizResumo[3][1];//mecanico 1-8
    $i26v=$matrizResumo[3][4];//umidade 1-8
    $i27v=$matrizResumo[3][7];//percevejp 1-8



  //aqui vai atribuir n ou zero caso o valor for   em branco e tiver feito ou nao o teste
	if($fezTetrazolio=="nao"):
    	if($matrizResumo[3][12]=="")$i24='-N-';//duras
    	if($matrizResumo[3][3]=="")$i25='-N-';//mecanico
    	if($matrizResumo[3][6]=="")$i26='-N-';//umidade
    	if($matrizResumo[3][9]=="")$i27='-N-';//percevejp
	endif;	
		//se fez tetrazolio
	if($fezTetrazolio=="sim"):
    	if($matrizResumo[3][12]=="")$i24='0';//duras
    	if($matrizResumo[3][3]=="")$i25='0';//mecanico
    	if($matrizResumo[3][6]=="")$i26='0';//umidad
    	if($matrizResumo[3][9]=="")$i27='0';//percevejo
	endif;//aqui testa se fez tetrazolio

	//aqui tem um casuismo para o tabajara 01/11/2015: Se fez germinacao entao deve esconder tetrazolio
	if($clienteReduzido=='TS L'  &&  $vetorAmostraBruto[3]>0):
       $i22="-N-";//viab  	
       $i23="-N-";//vigor
       $i24="-N-";//duras
       $i25="-N-";//mec
       $i26="-N-";//umid
       $i27="-N-";//percevejo
	endif;
	
	//$objetocalculo = new calculos(); //calcula todos valores finais
	//$matrizResumo=$objetocalculo->calculaTetrazolioSojaABC($amostraLong);
	//$matrizResumo=$objetocalculo->calculaTetrazolioSojaABC($amostraLong);
    $i22=$matrizResumo[3][10];	
    $i23=$matrizResumo[3][11];	
	//$i22=$amostraLong;
	
	
	//aqui imprime os danos 1-8   e 6-8
	$pdf->Cell($vetorLargura[6],5,$i25v,1,0,'C');//mecanico 1a8
	$pdf->Cell($vetorLargura[7],5,$i25,1,0,'C');//mecanico
	$pdf->Cell($vetorLargura[8],5,$i26v,1,0,'C');//percevejo 1 a8
	$pdf->Cell($vetorLargura[9],5,$i26,1,0,'C');//percevejo
	$pdf->Cell($vetorLargura[10],5,$i27v,1,0,'C');//umidade  1 a 8
	$pdf->Cell($vetorLargura[11],5,$i27,1,0,'C');//umidade
	
	//aqui imprime os resultados de tz
	$pdf->Cell($vetorLargura[12],5,$i23,1,0,'C');//vigor em soja e feijao
	$pdf->Cell($vetorLargura[13],5,$i22,1,0,'C');//viabilidade	

//FINAL DE TETRAZOLIO E INICIO DOS TESTES FINAIS
	$pdf->Cell($vetorLargura[14],5,utf8_decode($vetorAmostraBruto[3]),1,0,'C');//plantulas normais
    //coluna areia
	$areia=$objetocalculo->captura_OD_Especifica($amostraLong,'ARE');
	if($cliente=='TRISOLO'):
	   $areia=$vetorRaioX[300];
	   //$areia="90/86";
	   //$areia=$cliente;
	   //$areia=$objetocalculo->captura_OD_Especifica($amostraLong,'CANT');
	endif;
	//$areia=$cliente;
	$pdf->Cell($vetorLargura[15],5,$areia,1,0,'C');//areia


    //coluna pms
	$pms=$objetocalculo->captura_OD_Especifica($amostraLong,'PMS');
	$pdf->Cell($vetorLargura[16],5,$pms,1,0,'C');//areia
    //coluna acelerado
	$eac=$objetocalculo->captura_OD_Especifica($amostraLong,'EAC');
	$pdf->Cell($vetorLargura[17],5,$eac,1,0,'C');//areia

	


/*
	$pdf->Cell($vetorLargura[15],5,utf8_decode($vetorAmostraBruto[14]),1,0,'C');//sementes mortas
	//aqui vai capturar o valor de vigor peimeira contagem ou clssificacao de vigor
	$vigorPrimeiraContagem=$objetocalculo->captura_OD_Especifica($amostraLong,'CLV');
	$pdf->Cell($vetorLargura[16],5,utf8_decode($vigorPrimeiraContagem),1,0,'C');//sementes infecionadas
	$pdf->Cell($vetorLargura[17],5,utf8_decode($vetorAmostraBruto[13]),1,0,'C');//sementes dormentes
	$pdf->Cell($vetorLargura[18],5,utf8_decode($vetorAmostraBruto[12]),1,0,'C');//sementes duras
	//PEGA AS OUTRAS DETERMINACOES 
	$pdf->Cell($vetorLargura[19],5,utf8_decode($vetorAmostraBruto[38]),1,0,'C');//peso de mil sementes
	$pdf->Cell($vetorLargura[20],5,utf8_decode($vetorAmostraBruto[41]),1,0,'C');//teste de frio
	$pdf->Cell($vetorLargura[21],5,utf8_decode($vetorAmostraBruto[39]),1,0,'C');//envelhecimento acelerado
	$contador++;//este contador so serve para ele nao reimprimir o titulo das colunas 
*/	
	//setor contaminantes identico ao boletim
	//$base[$indiceVetorNomesContaminantes][1]="Outras sementes:";	
	//$indiceVetorNomesContaminantes=1;
	//so entra se tiver sislvestre
    $somaOE=$vetorAmostraBruto[7];//
    $somaSI=$vetorAmostraBruto[8];//
    $somaTO=$vetorAmostraBruto[9];//
    $somaPR=$vetorAmostraBruto[10];//
	$conteudoBasico="Amostra Nº ".$vetorAmostraBruto[1]." : ";
	if($somaOE>0):
		 //ENTRA SO SE TIVER SILV
		 //ENTRA DE QUAKQUER MANEIRA
	     $generica=new tabelagenerica();
         $generica->tabela="contaminantes,invasoras";
		 $generica->campos_valores = array(
				"inv_qtd" => NULL,
				"con_nome_cientifico" => NULL,
			);
	     $generica->extras_select =" where con_id=inv_cod_praga && inv_codigo='1OES' && inv_amostra=".$amostraLong;
	     $generica->selecionaCampos($generica);
	     while ($resgenerica = $generica->retornaDados()):
	         $conteudo="";	 
	    	 $conteudo=$resgenerica->con_nome_cientifico."(".$resgenerica->inv_qtd.")";
 			 $contaminanteAcumulado=$contaminanteAcumulado.$conteudo;
			 if($iniciando=="SIM"):
                 $iniciando="NAO"; 
			 else:	//se ja tem alguma coisa 
                 //pergunta se o tamanhao<50 
				 if(strlen($contaminanteAcumulado)>70):
					 $indiceVetorNomesContaminantes++;
			         $base[$indiceVetorNomesContaminantes][1]=$contaminanteAcumulado;	 
					 $contaminanteAcumulado="";
				 endif;
			 endif;
			 // echo("conteudo $conteudo<br>"); 
		 endwhile;

	endif;


	if($somaSI>0):
		 //ENTRA SO SE TIVER SILV
		 //ENTRA DE QUAKQUER MANEIRA
	     $generica=new tabelagenerica();
         $generica->tabela="contaminantes,invasoras";
		 $generica->campos_valores = array(
				"inv_qtd" => NULL,
				"con_nome_cientifico" => NULL,
			);
	     $generica->extras_select =" where con_id=inv_cod_praga && inv_codigo='2SIL' && inv_amostra=".$amostraLong;
	     $generica->selecionaCampos($generica);
	     while ($resgenerica = $generica->retornaDados()):
	         $conteudo="";	 
	    	 $conteudo=$resgenerica->con_nome_cientifico."(".$resgenerica->inv_qtd.")";
 			 $contaminanteAcumulado=$contaminanteAcumulado.$conteudo;
			 if($iniciando=="SIM"):
                 $iniciando="NAO"; 
			 else:	//se ja tem alguma coisa 
                 //pergunta se o tamanhao<50 
				 if(strlen($contaminanteAcumulado)>70):
					 $indiceVetorNomesContaminantes++;
			         $base[$indiceVetorNomesContaminantes][1]=$contaminanteAcumulado;	 
					 $contaminanteAcumulado="";
				 endif;
			 endif;
		 endwhile;
	endif;

	if($somaTO>0):
		 //ENTRA SO SE TIVER SILV
		 //ENTRA DE QUAKQUER MANEIRA
	     $generica=new tabelagenerica();
         $generica->tabela="contaminantes,invasoras";
		 $generica->campos_valores = array(
				"inv_qtd" => NULL,
				"con_nome_cientifico" => NULL,
			);
	     $generica->extras_select =" where con_id=inv_cod_praga && inv_codigo='3NOT' && inv_amostra=".$amostraLong;
	     $generica->selecionaCampos($generica);
	     while ($resgenerica = $generica->retornaDados()):
	         $conteudo="";	 
	    	 $conteudo=$resgenerica->con_nome_cientifico."(".$resgenerica->inv_qtd.")";
 			 $contaminanteAcumulado=$contaminanteAcumulado.$conteudo;
			 if($iniciando=="SIM"):
                 $iniciando="NAO"; 
			 else:	//se ja tem alguma coisa 
                 //pergunta se o tamanhao<50 
				 if(strlen($contaminanteAcumulado)>70):
					 $indiceVetorNomesContaminantes++;
			         $base[$indiceVetorNomesContaminantes][1]=$contaminanteAcumulado;	 
					 $contaminanteAcumulado="";
				 endif;
			 endif;
		 endwhile;
	endif;
	 
	if($somaPR>0):
		 //ENTRA SO SE TIVER SILV
		 //ENTRA DE QUAKQUER MANEIRA
	     $generica=new tabelagenerica();
         $generica->tabela="contaminantes,invasoras";
		 $generica->campos_valores = array(
				"inv_qtd" => NULL,
				"con_nome_cientifico" => NULL,
			);
	     $generica->extras_select =" where con_id=inv_cod_praga && inv_codigo='4NOP' && inv_amostra=".$amostraLong;
	     $generica->selecionaCampos($generica);
		 $joga3=0;
	     while ($resgenerica = $generica->retornaDados()):
	         $conteudo="";	 
	    	 $conteudo=$resgenerica->con_nome_cientifico."(".$resgenerica->inv_qtd.")";
 			 $contaminanteAcumulado=$contaminanteAcumulado.$conteudo;
			 if($iniciando=="SIM"):
                 $iniciando="NAO"; 
			 else:	//se ja tem alguma coisa 
                 //pergunta se o tamanhao<50 
				 if(strlen($contaminanteAcumulado)>70):
					 $indiceVetorNomesContaminantes++;
			         $base[$indiceVetorNomesContaminantes][1]=$contaminanteAcumulado;	 
					 $contaminanteAcumulado="";
				 endif;
			 endif;
		 endwhile;
	endif;
	
	
	
//final dos  contaminantes	 
	///$indiceVetorNomesContaminantes++;
	//$base[$indiceVetorNomesContaminantes][1]="-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O";	
if(strlen($contaminanteAcumulado)>0 && $iniciando=="NAO"):
	 $indiceVetorNomesContaminantes++;
     $base[$indiceVetorNomesContaminantes][1]=$contaminanteAcumulado;	 
endif;	

	
	
	
endwhile;//FINAL DO ENDWILE QUE ACHA A ID DENTRO DO DOCUMENTOSPONTE
###################################################################
 //coloca  um -O-  para fechar =================
 $cota1+=5;//incrementa linha para colocar na linha seguinte
 //so vai imprimr -o- se for menos de 7 amostras
 if($registros<7):
	 $pdf->setXY($margemEsquerda,$cota1);
	 for($i=1;$i<=17;$i++):  
		$pdf->Cell($vetorLargura[$i],5,'-O-',1,0,'C');//numero de ordem 1,2,3,4,5 
	 endfor;
endif; 
//terminou de imprimir resultados



	 //terminou de imprimir resultado agora vi para  CONTAMINANTES observacoes tecico e assinatura
     $cota4=140;

    #########3 ULTIMAS CAIXAS################################################
     //conteudos
     //daque pra frente fica defnicido pela penultima cota que é a cota 7	 
	 $base[1][2]="Observações:";
	 $base[2][2]=$vetorDadosDocumento[19];
	 $base[3][2]=$vetorDadosDocumento[20];
	 $base[4][2]=$vetorDadosDocumento[21];
	 $base[5][2]=$vetorDadosDocumento[22];
	 $base[6][2]=$vetorDadosDocumento[23];
	 $base[7][2]=$vetorDadosDocumento[24];
	 $base[8][2]=$vetorDadosDocumento[25];
	 $base[9][2]=$vetorDadosDocumento[26];

     //NOTAS ,DATA E responsavel tecnico
	 $base[1][3]="NOTAS:A presente análise tem seu valor restrito à amostra";
	 $base[2][3]="entregue ao laboratório.";
	 $base[3][3]="2-A identificação da amostra é de exclusiva responsabilidade" ;
	 $base[4][3]="do remetente.";
	 $base[5][3]="3-Métodos de análise segundo as RAS em vigor ou outro";
	 $base[6][3]="informado no campo observações.";
     $base[7][3]=$vetorCabecalho[6].", ".$vetorDadosDocumento[27];//local e data
	 $base[8][3]="";
	 $base[9][3]="";
	 //captura o rt
	 $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
     $idTecnico=$vetorTecnico[5];
	 $assinaturaAtivada=$vetorTecnico[4];
     if($nivel=='PRODUTOR') $assinaturaAtivada='SIM';	 
	 if($assinaturaAtivada=='SIM'):
		 $caminhoFinalTecnico="ImagensClientes/a".$idTecnico.".JPG";
		 $pdf->Image($caminhoFinalTecnico,229,$cota7+15,61,14,'JPG');
     endif;

	$base[10][3]=$vetorTecnico[1];//nome do rt
    $base[11][3]="RENASEM:".$vetorTecnico[3]."  CREA:".$vetorTecnico[2];	
    $base[12][3]=$vetorTecnico[7];  //cargo responsavel tecnico substituto etc

	 $largo[1]=115;
	 $largo[2]=105;
	 $largo[3]=65;
	 $pdf->SetXY(10,$cota7);
	 $positron[1]=10;
	 $larguraDaLinha=4.0;
     $posicao1=$margemEsquerda;
	 $posicao2=$posicao1+$largo[1];
	 $posicao3=$posicao2+$largo[2];

//TERMINOU DE CRIAR OS CONTEUDOS ENTAO AGORA IMPRIME TODO O SETOR FINAL DAS 3 CAISXA E AS LINHAS VERTICAIS E HORIZONTAIS
	 $cota7=155;
 	 $pdf->Line($posicao3,$cota7,$posicao3,$cota8);//linha separadora
	 $pdf->Line($posicao2,$cota7,$posicao2,$cota8);//linha separadora
	 $pdf->Line($margemEsquerda,$cota7,$margemDireita,$cota7);//linha antes de observacoes	
	 $pdf->SetXY(10,$cota7);
	 
	 
	 //imprime as contaminamates///////////////////////////////
	 $cotaLinha=$cota7;
	 $pdf->SetXY($posicao1,$cotaLinha);
     $pdf->Cell($largo[1],$larguraDaLinha,"Outras sementes;",0,0,'L');	
     $cotaLinha+=4;
	 $pdf->SetFont('Times','I',7);

     for($L=1;$L<=10;$L++):
		 $pdf->SetXY($posicao1,$cotaLinha);
         //se nao tem nada numa linha, significa que encerrou entao imprime -o-o- para finalizar
	     if($base[$L][1]!=""):
		      $pdf->Cell($largo[1],$larguraDaLinha,utf8_decode($base[$L][1]),0,0,'L');	
		 else:
		      $pdf->Cell($largo[1],$larguraDaLinha,'-o-o-',0,0,'L');	
			  break;
		 endif; 	  
	     $cotaLinha+=$larguraDaLinha;
     endfor;	 


	 //imprime observacoes//////////////////////////////////////////////////////////////
	 $cotaLinha=$cota7;
	 $pdf->SetFont('Times','',7);
     for($L=1;$L<=10;$L++)
	 {
		 $pdf->SetXY($posicao2,$cotaLinha);
		 //se nao tem nada numa linha, significa que encerrou entao imprime -o-o- para finalizar
	     if(strlen($base[$L][2])>1):
		      $pdf->Cell($largo[1],$larguraDaLinha,utf8_decode($base[$L][2]),0,0,'L');	
		 else:
		      $pdf->Cell($largo[1],$larguraDaLinha,'-o-o-',0,0,'L');	
			  break;
		 endif; 	  
	     $cotaLinha+=$larguraDaLinha;
     }	 


	 //imprime notas e assinatura
	 $cotaLinha=$cota7+2;
	 //da linha 1 até linha 6 coloca fonte menor
	 $pdf->SetFont('Times','',6);
     for($L=1;$L<=6;$L++)
	 {
		 $pdf->SetXY($posicao3,$cotaLinha);
		 $pdf->Cell($largo[3],2,utf8_decode($base[$L][3]),0,0,'L');	
	     $cotaLinha+=2;
     }	 
	 $pdf->SetFont('Times','',7);

     for($L=7;$L<=12;$L++)
	 {
		 $pdf->SetXY($posicao3,$cotaLinha);
		 $pdf->Cell($largo[3],4,utf8_decode($base[$L][3]),0,0,'C');	
	     $cotaLinha+=4;
     }	 


     $pdf->setXY(20,194);
	 //$total=595.28*193/184;
	 //$pdf->Cell(50,5,$total,0,1,'L');
     //coloca  as 3 linhas separadoras verticais 
	 $posicao1=$largo[1]+10;
	 $posicao2=$posicao1+$largo[2];
	 //vai imprimir numero de via
	 //$pdf->SetFont('Times','B',8);
	 //$pdf->SetXY(271,$cota8);//era -10//
     //$pdf->Cell(20,$larguraDaLinha,$pdf->vetorCabecalho[17],1,1,R);	


ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
